sources
Presign a Source or Task preview with exact integrity pins
POST
/
api
/
v1
/
sources
/
representation
/
presign
Presign a Source or Task preview with exact integrity pins
curl --request POST \
--url https://api.nitsor.com/api/v1/sources/representation/presign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceVersionId": "<string>",
"representationId": "<string>",
"outputChecksum": "<string>",
"taskId": "<string>",
"variantKey": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/sources/representation/presign"
payload = {
"sourceVersionId": "<string>",
"representationId": "<string>",
"outputChecksum": "<string>",
"taskId": "<string>",
"variantKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceVersionId: '<string>',
representationId: '<string>',
outputChecksum: '<string>',
taskId: '<string>',
variantKey: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/sources/representation/presign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/sources/representation/presign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sourceVersionId' => '<string>',
'representationId' => '<string>',
'outputChecksum' => '<string>',
'taskId' => '<string>',
'variantKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/sources/representation/presign"
payload := strings.NewReader("{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/sources/representation/presign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/sources/representation/presign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"receipt": {
"schemaVersion": 1,
"producer": "vgi-area-average-v1",
"representationId": "<string>",
"inputHash": "<string>",
"accountId": "<string>",
"sourceVersionId": "<string>",
"descriptorChecksum": "<string>",
"voxelChecksum": "<string>",
"descriptorGeometryHash": "<string>",
"factors": [
32,
32,
32
],
"destination": {
"storageConnectionId": "<string>",
"bucket": "<string>",
"prefix": "<string>",
"objectKey": "<string>"
},
"output": {
"checksum": "<string>",
"sizeBytes": 123,
"encoding": "raw-float32-le",
"dimensions": [
123,
123,
123
],
"sourceIndexScale": [
123,
123,
123
],
"sourceIndexOffset": [
123,
123,
123
],
"physicalExtentMm": [
123,
123,
123
],
"mirror": {
"x": true,
"y": true,
"z": true
},
"invert": true,
"datarange": {
"[0]": 123,
"[1]": 123
},
"intensity": "stored-values-area-mean"
},
"planes": {
"rendererVersion": 123,
"encoding": "png-gray8",
"window": {
"lower": 123,
"upper": 123
},
"axial": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
},
"coronal": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
},
"sagittal": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
}
}
},
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
Response
Presign a Source or Task preview with exact integrity pins
RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$⌘I
Presign a Source or Task preview with exact integrity pins
curl --request POST \
--url https://api.nitsor.com/api/v1/sources/representation/presign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceVersionId": "<string>",
"representationId": "<string>",
"outputChecksum": "<string>",
"taskId": "<string>",
"variantKey": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/sources/representation/presign"
payload = {
"sourceVersionId": "<string>",
"representationId": "<string>",
"outputChecksum": "<string>",
"taskId": "<string>",
"variantKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceVersionId: '<string>',
representationId: '<string>',
outputChecksum: '<string>',
taskId: '<string>',
variantKey: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/sources/representation/presign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/sources/representation/presign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sourceVersionId' => '<string>',
'representationId' => '<string>',
'outputChecksum' => '<string>',
'taskId' => '<string>',
'variantKey' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/sources/representation/presign"
payload := strings.NewReader("{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/sources/representation/presign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/sources/representation/presign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sourceVersionId\": \"<string>\",\n \"representationId\": \"<string>\",\n \"outputChecksum\": \"<string>\",\n \"taskId\": \"<string>\",\n \"variantKey\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"receipt": {
"schemaVersion": 1,
"producer": "vgi-area-average-v1",
"representationId": "<string>",
"inputHash": "<string>",
"accountId": "<string>",
"sourceVersionId": "<string>",
"descriptorChecksum": "<string>",
"voxelChecksum": "<string>",
"descriptorGeometryHash": "<string>",
"factors": [
32,
32,
32
],
"destination": {
"storageConnectionId": "<string>",
"bucket": "<string>",
"prefix": "<string>",
"objectKey": "<string>"
},
"output": {
"checksum": "<string>",
"sizeBytes": 123,
"encoding": "raw-float32-le",
"dimensions": [
123,
123,
123
],
"sourceIndexScale": [
123,
123,
123
],
"sourceIndexOffset": [
123,
123,
123
],
"physicalExtentMm": [
123,
123,
123
],
"mirror": {
"x": true,
"y": true,
"z": true
},
"invert": true,
"datarange": {
"[0]": 123,
"[1]": 123
},
"intensity": "stored-values-area-mean"
},
"planes": {
"rendererVersion": 123,
"encoding": "png-gray8",
"window": {
"lower": 123,
"upper": 123
},
"axial": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
},
"coronal": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
},
"sagittal": {
"objectKey": "<string>",
"checksum": "<string>",
"sizeBytes": 123,
"width": 123,
"height": 123,
"sliceIndex": 32768,
"physicalExtentMm": [
123,
123
]
}
}
},
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}